Bulk insert valuations Run in API Explorer
Ask AI
Creates multiple valuations for a plan and sub-account
POST
/api/v2/valuations/bulk
curl \
--request POST 'https://api.plannrcrm.com/api/v2/valuations/bulk' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"plan_uuid": "9f3908ab-c67f-41d9-a8b4-e9f4ea86cdc9",
"sub_account_uuid": "8551cd94-61fa-4fdf-a4b5-34aad7d188fb",
"valuations": [
{
"valued_at": "2025-01-01",
"value": 100000,
"bulk_reference_uuid": "6a6b5ef1-e801-4f84-92ad-fa20e08b1f2a"
}
]
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"plan_uuid": "9f3908ab-c67f-41d9-a8b4-e9f4ea86cdc9",
"sub_account_uuid": "8551cd94-61fa-4fdf-a4b5-34aad7d188fb",
"valuations": [
{
"valued_at": "2025-01-01",
"value": 100000,
"bulk_reference_uuid": "6a6b5ef1-e801-4f84-92ad-fa20e08b1f2a"
}
]
}
Response examples (401)
{
"message": "Unauthenticated."
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}